%global shortname acorn

# We'll temporarily bootstrap with pre-compiled versions in order to build
# newer version of npm(rollup-plugin-buble), then re-build from source with
# the help of npm(buble) and npm(rollup-plugin-buble).
%global bootstrap 1

# Tests
%global enable_tests 1

Name:           nodejs-%{shortname}
Version:        5.2.1
Release:        2%{?dist}
Summary:        ECMAScript parser

License:        MIT
URL:            https://github.com/ternjs/acorn
Source0:        http://registry.npmjs.org/%{shortname}/-/%{shortname}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        rollup-%{version}.tar.bz2
Source2:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

BuildArch:      noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  npm(rollup)

%description
A tiny, fast JavaScript parser, written completely in JavaScript.

%prep
%setup -qn package
# setup the files for rollup
%setup -q -T -D -a 1 -n package
# setup the tests
%setup -q -T -D -a 2 -n package

# fix script interpreter
sed -i '1s/env //' bin/acorn

# remove zero-length file
rm dist/.keep


%build
%if 0%{?bootstrap}
# nothing
%else
%{_bindir}/rollup -c rollup/config.main.js
%{_bindir}/rollup -c rollup/config.walk.js
%{_bindir}/rollup -c rollup/config.loose.js
%{_bindir}/rollup -c rollup/config.bin.js
%endif


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{shortname}/
cp -pr package.json bin/ dist/ \
    %{buildroot}%{nodejs_sitelib}/%{shortname}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/${shortname}/bin/acorn \
    %{buildroot}%{_bindir}/${shortname}

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%__nodejs test/run.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc README.md
%{nodejs_sitelib}/%{shortname}
%{_bindir}/%{shortname}


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Nov 25 2017 Jared Smith <jsmith@fedoraproject.org> - 5.2.1-1
- Update to upstream 5.2.1 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
>>>>>>> 0bccab1164aba781aa237ae32a0914bef5fb3aa6

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 27 2014 Gerard Ryan <gerard@ryan.lt> - 0.9.0-3
- Fix install path of util/walk.js

* Tue Nov 25 2014 Gerard Ryan <gerard@ryan.lt> - 0.9.0-2
- Don't package util/test_walk.js

* Sat Nov 22 2014 Gerard Ryan <gerard@ryan.lt> - 0.9.0-1
- Initial package
